



/*
*
*  LMB to draw, RMB to erase
*  Space to clear
*  Mousewheel up/down to change brush size
*
*/





boolean drawing;
boolean white;
int size=1000/40;
float brushSize=0;
float brushStepSize=0.01;

float mousewheel;

void setup (){
  brushSize=0;
  size (1000,1000);
  background(255);
  noStroke();
}


void draw(){
  if(drawing){
    for(int i=0;i<width;i+=size){
      for(int j=0;j<width;j+=size){
        if(dist(i+size/2, j+size/2,mouseX,mouseY)<size/2+width*brushSize)
        {
          if(white){            
               fill(255,35);             
             }else{
              fill(0,15);                
              }
          stroke(255);
          //strokeWeight(1);
          noStroke();
          rect(i,j,size,size);
        }
      }  
    }
  }
  clearCanvas();
  //saveFrame("####.png");
}



void clearCanvas(){
  for(int i=0;i<width;i+=size){
    for(int j=0;j<width;j+=size){
      if(get(i,j)>-200000){
        fill(255);
        rect(i,j,size,size);
      }
    }  
  }
}


  
void mousePressed(){
  if(mouseButton==RIGHT)white=true;
  drawing=true;
}

void mouseReleased(){
  drawing=false;
  white=false;
}

void mouseWheel(MouseEvent event){
  if((mousewheel=event.getCount())<0)
  brushSize+=brushStepSize;
  else
  brushSize-=brushStepSize;
  if(brushSize<0)brushSize=0;
  int b=round(brushSize*100+1);
  println("Brush size: "+b);
}


void keyPressed(){
  if(key==' '){
  setup();
  println("Brush size: 1");
  }
  if(key=='s'){
    saveFrame("####.png");
  }
  if(key=='g'){
  println(get(mouseX,mouseY));
  }
}